org.apache.uima.fit.internal

## Enum MetaDataType

- java.lang.Object
- - java.lang.Enum<MetaDataType>
  - - org.apache.uima.fit.internal.MetaDataType

- All Implemented Interfaces:
    Serializable, Comparable<MetaDataType>

      public enum MetaDataType
      extends Enum<MetaDataType>

  INTERNAL API - Kinds of meta data uimaFIT uses.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FS_INDEX`
    `TYPE_PRIORITIES`
    `TYPE_SYSTEM`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MetaDataType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MetaDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TYPE_SYSTEM

          public static final MetaDataType TYPE_SYSTEM

    - #### FS_INDEX

          public static final MetaDataType FS_INDEX

    - #### TYPE_PRIORITIES

          public static final MetaDataType TYPE_PRIORITIES

  - ### Method Detail

    - #### values

          public static MetaDataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MetaDataType c : MetaDataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MetaDataType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.